FeatureGate

List flags

Lists flags for a visible project.

GEThttps://api.featuregate.dev/v1/projects/{projectId}/flags
Authenticate with a management automation key in the Authorization header.management:flags:read

Path parameters

projectIdstringrequired

Stable project_ identifier.

Pattern: ^project_.+

Request
sh
curl -X GET https://api.featuregate.dev/v1/projects/project_example/flags \
  -H "Authorization: Bearer fg_ak_test_0123456789abcdef0123456789abcdef0123456789abcdef"

Returns

flagsobject[]required
idstringrequired

Stable flag identifier, prefixed with flag_.

Length: 1+

createdAtstringrequired

Flag creation timestamp.

updatedAtstringrequired

Last flag update timestamp.

archivedAtstring | nullrequired

Archive timestamp, or null while active.

projectIdstringrequired

Owning project identifier.

Length: 1+

keystringrequired

Developer-facing flag key.

Length: 1+

namestringrequired

Human-readable flag name.

Length: 1+

descriptionstring | nullrequired

Optional internal description.

type"boolean" | "string" | "number" | "object"required

Flag value type.

Options: boolean, string, number, object

lifecycleKind"temporary" | "permanent"required

Flag lifecycle classification.

Options: temporary, permanent

intent"release" | "ops" | "permission" | "experiment" | "configuration" | "maintenance"required

Flag intent classification.

Options: release, ops, permission, experiment, configuration, maintenance

cleanupTargetAtstring | nullrequired

Cleanup review timestamp, when set.

cleanupNotestring | nullrequired

Optional cleanup guidance.

Example response · 200
json
{
  "flags": []
}

Responses

200Project flag definitions. Environment availability is configured separately.
400Validation failed.
401Authentication failed.
403The key is not allowed to access this resource.
429Rate limit exceeded.
500Unexpected server error.